#Docker Composer Version -- NOT THE APPLICATION VERSION!
version: '3.8'

networks:
    ohnetwork:
      driver: bridge #default docker driver

services:
  npm:
    container_name: 'npm'
    image: 'ohmediaorg/ohcmsv5:grunt'
    volumes:
      - ~/ohdev/sites/mcdougall.ohdev/mcdougall:/var/www
    working_dir: /var/www

  apache:
    container_name: 'apache'
    image: 'ohmediaorg/ohcmsv5:apache'
    ports:
      - "80:80"
    volumes:
      - ~/ohdev/sites/mcdougall.ohdev/mcdougall:/var/www
    working_dir: /var/www
    environment:
      XDEBUG_CONFIG: remote_host=host.docker.internal remote_port=9001 remote_enable=1
    networks:
      - ohnetwork